Skip to Content
inclamoDocs

Add a new article

POST
/api/v1/accounts/{account_id}/portals/{portal_slug}/articles

Add a new article to portal

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

portal_slug*string

The slug of the portal. The numeric portal ID is not accepted.

Request Body

application/json
  1. body
title?string

The title of the article

slug?string

The slug of the article

position?integer

article position in category

content?string

The text content.

description?string

The description of the article

category_id?integer

The category id of the article

author_id?integer

The author agent id of the article

associated_article_id?integer

To associate similar articles to each other, e.g to provide the link for the reference.

status?integer

The status of the article. 0 for draft, 1 for published, 2 for archived

locale?string

The locale of the article

meta?

Use for search

Response Body

Success

application/json
  1. response
id?integer
content?string

The text content.

meta?
position?integer
status?integer
Value in"draft""published""archived"
title?string
slug?string
views?integer
portal_id?integer
account_id?integer
author_id?integer
category_id?integer
folder_id?integer
associated_article_id?integer

To associate similar articles to each other, e.g to provide the link for the reference.

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/portals/handbook/articles' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "content": "string",  "meta": {},  "position": 0,  "status": "draft",  "title": "string",  "slug": "string",  "views": 0,  "portal_id": 0,  "account_id": 0,  "author_id": 0,  "category_id": 0,  "folder_id": 0,  "associated_article_id": 0}